Get all plans

get

/fscmRestApi/resources/11.13.18.05/inventoryPlans

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the inventory plan according to the value that identifies the plan.
      Finder Variables
      • PlanId; integer; Value that uniquely identifies the plan.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AppliesToOrderTypes; string; List of demand order types to which the number of days for the demand cutoff attribute applies. Each value is separated by a comma. Valid values are: 1029 - Forecast, 1030 - Sales order, and 1008 - Manual demand. If the value is null, no order types are considered for the demand cutoff. The default value is null. This is only used if the number of days for the demand cutoff attribute is populated.
    • ArchivePlan; integer; Contains one of the following values: 1 or 2. If set to 1, the plan will be archived before the next run starts. Note that you can archive the plan only if archiving is enabled. If set to 2, the plan won't be archived.
    • ArchiveTimeHierarchy; integer; Time hierarchy used by the application to archive the plan.
    • ArchiveTimeLevel; integer; Time hierarchy level used by the application to archive the plan. The Archive Time Hierarchy attribute determines the available values for this attribute.
    • ArchiveVersionDays; integer; Version used by the application to archive the plan.
    • CalSsQuantEndItems; integer; Calculation of safety stock for the end items.
    • CalendarCode; string; Abbreviation used to identify the inventory planning calendar.
    • CreatedBy; string; Person who created the inventory plan.
    • CreationDate; string; Date the inventory plan was created.
    • CutoffDate; string; Final date of the planning period when demand and supply are no longer considered.
    • DeleteArchive; integer; Contains one of the following values: 1 or 2. If set to 1, the plan deletes archived attributes. If set to 2, the plan doesn't delete archived attributes. The default value is 2.
    • DemandSchedules; string; A compilation of demand schedules included in the plan's scope. Each value is separated by a comma. The values consist of Demand Schedule Name, Description, Demand Schedule Type, Demand Plan Output Measure, and Ship to Consumption Level. Each group of demand schedules is enclosed in parentheses.
    • Description; string; Description of the plan.
    • EnableForArchiving; integer; Contains one of the following values: 1 or 2. If set to 1, the plan measures are archived through the archive plan option. If set to 2, the plan measures aren't archived.
    • EnableMultiThreading; integer; Contains one of the following values: 1 or 2. If set to 1, the plan will use substitute items when required. If set to 2, substitute items won't be used. The default value is 2.
    • ExceptionSet; integer; Exception set that the plan references. The exception set determines the types of exceptions the plan creates.
    • ExplodeModelForecasts; integer; Contains one of the following values: 1 or 2. If set to 1, the plan explodes the forecast of a model to its option level. If set to 2, the plan doesn't explode the forecast of a model to its option level. The default value is 2.
    • ExposeToAnalytic; integer; Plan output is available to the analytic module.
    • FirstPlanningBucketCode; integer; Indicates the type of time bucket for the initial inventory planning buckets. The valid values depend on the inventory planning calendar type. For a calendar type of 5 (manufacturing), accepted values are listed in the lookup type ORA_MSC_TIME_LEVELS_MFG. For a calendar type of 1 (Gregorian), accepted values are found in ORA_MSC_TIME_LEVELS_GREGORIAN. For a calendar type of 3 (fiscal), refer to ORA_MSC_TIME_LEVELS_FISCAL for the accepted values.
    • FirstPlanningBucketName; string; Meaning associated with the FirstPlanningBucketCode attribute.
    • FirstPlanningBucketNumber; number; Number of inventory planning buckets to create for the first set of inventory planning time buckets. For example, if the FirstPlanningBucketName attribute is Day, this defines the number of daily inventory planning buckets that are created when the plan is run.
    • ForecastError; integer; Forecast accuracy measure used by the plan to calculate safety stock. Contains one of the following values: 1 - Mean Absolute Deviation, 2 - Mean Absolute Percentage Error, or 3 - Intermittent. A list of accepted values is defined in the lookup type ORA_MSC_FORECAST_ERROR_TYPE.
    • HasRun; integer; Contains one of the following values: 1 - The most recent plan run finished successfully, 0 - The most recent plan run failed, or Empty - The application hasn't run the plan.
    • HorizonForAverageDemand; number; Number of days used by planning to calculate the average daily demand.
    • IncludeProdMonitoringAlrts; integer; Contains one of the following values: 1 or 2. If set to 1, the plan is enabled for production monitoring alerts. If set to 2, the plan doesn't provide production monitoring alerts.
    • InventoryParameterOverrides; string; List of parameters used to override the inventory engine's default behavior.
    • InventoryPlannedItems; number; Contains one of the following values: 1 - all items, 2 - demand-planned items and sales orders, 5 - demand-planned items and work-in-process components, 6 - demand-planned items, or 7 - demand-planned items, work-in-process components, and sales orders. A list of accepted values is defined in the lookup type ORA_MSC_PLANNED_ITEMS.
    • InventoryPlanningCalendar; string; Name associated with the inventory planning calendar.
    • ItemListPrice; integer; Item list price used by the inventory plan.
    • LastUpdatedBy; string; User who most recently updated the plan.
    • LastUpdatedDate; string; Date when the user most recently updated the plan.
    • MaximumVarSafetyStockValue; number; Maximum percent difference allowed between the safety stock quantity in one interval and the next.
    • MeasureCatalogForArchival; string; Measure catalog used by the application to archive the plan.
    • MinimumVarSafetyStockValue; number; Minimum percent difference allowed between the safety stock quantity in one interval and the next.
    • Organizations; string; Collection of organization names and descriptions included in the scope of the plan. Each organization name is separated from its description by a comma, and each pair is enclosed in parentheses.
    • PastDueForecastBucket; integer; Number of time buckets (e.g., three weeks or two months). This attribute determines the time period before the plan start date to use as a threshold for copying past-due forecasts into the plan.
    • PlanCompletionDate; string; Date when the planning process was completed.
    • PlanDimensionCatalog; integer; Dimension catalog used by the inventory plan.
    • PlanHorizonDays; integer; This attribute isn't used.
    • PlanHorizonStartDate; string; Date when the plan starts planning demand and inventory.
    • PlanId; integer; Value that uniquely identifies the plan.
    • PlanItemLevelMembers; string; List of level values in the item hierarchy to include in the scope of the plan. Each value is separated by a comma.
    • PlanMeasureCatalog; string; Measure catalog used by the inventory plan.
    • PlanName; string; Name of the plan.
    • PlanOrganizationLevelMembers; string; List of level values in the organization hierarchy included in the scope of the plan. Each value is separated by a comma.
    • PlanOwner; string; Owner of the plan.
    • PlanStartDate; string; Date that represents the start date of the planning process.
    • PlanStatus; integer; Status of the plan run that was most recently completed. Contains one of the following values: 0 - completed, 1 - processing, 2 - error, or 3 - warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
    • PlanType; integer; Type of plan. Contains one of the following values: 1 - demand plan, 2 - supply plan, or 3 - demand and supply plan. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_TYPE.
    • PlanningBucketType; integer; Type of planning buckets: Week, Period, or Month.
    • PriceLists; string; List of price lists to consider in the plan. Each value is separated by a comma.
    • PrivatePlan; integer; If the plan is private, it can only be used by the owner.
    • SafetyStockForecastPlan; string; Demand plan that includes the forecast and measures of forecast error used to determine safety stock.
    • SafetyStockServiceLevel; number; Percentage of service level used by the plan to calculate safety stock.
    • SecondPlanningBucketCode; integer; Value that uniquely identifies the second planning bucket.
    • SecondPlanningBucketName; string; Name of the second planning bucket.
    • SecondPlanningBucketNumber; number; Number that uniquely identifies the second planning bucket.
    • ShortPlanId; integer; Abbreviated value that uniquely identifies the inventory plan.
    • SimulationSet; integer; Simulation set used by planning when the plan runs. A simulation set consists of adjustments made to inputs that affect the plan. You can use them to test different business scenarios, such as increasing available resource capacity.
    • SmMethodToCalSsInterval; integer; This attribute isn't used.
    • SsChngeIntervalDays; number; Number of days that uniquely specifies the safety stock change interval. The change interval is used to minimize fluctuations in safety stock, as daily changes can be cumbersome to manage.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : inventoryPlans
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : inventoryPlans-item-response
Type: object
Show Source
  • Maximum Length: 255
    List of demand order types to which the number of days for the demand cutoff attribute applies. Each value is separated by a comma. Valid values are: 1029 - Forecast, 1030 - Sales order, and 1008 - Manual demand. If the value is null, no order types are considered for the demand cutoff. The default value is null. This is only used if the number of days for the demand cutoff attribute is populated.
  • Contains one of the following values: 1 or 2. If set to 1, the plan will be archived before the next run starts. Note that you can archive the plan only if archiving is enabled. If set to 2, the plan won't be archived.
  • Time hierarchy used by the application to archive the plan.
  • Time hierarchy level used by the application to archive the plan. The Archive Time Hierarchy attribute determines the available values for this attribute.
  • Version used by the application to archive the plan.
  • Name of the assignment set that specifies the sourcing rules and bills of distribution to use for material flow in the supply chain when running the plan. You can use the Manage Assignment Sets page in one of the work areas for supply chain planning to set the available values for this attribute.
  • Maximum Length: 22
    Abbreviation used to identify the inventory planning calendar.
  • Calculation of safety stock for the end items.
  • Component Items
    Title: Component Items
    Item structure components that are part of a supply plan.
  • Read Only: true
    Maximum Length: 64
    Person who created the inventory plan.
  • Read Only: true
    Date the inventory plan was created.
  • Final date of the planning period when demand and supply are no longer considered.
  • Contains one of the following values: 1 or 2. If set to 1, the plan deletes archived attributes. If set to 2, the plan doesn't delete archived attributes. The default value is 2.
  • A compilation of demand schedules included in the plan's scope. Each value is separated by a comma. The values consist of Demand Schedule Name, Description, Demand Schedule Type, Demand Plan Output Measure, and Ship to Consumption Level. Each group of demand schedules is enclosed in parentheses.
  • Maximum Length: 100
    Description of the plan.
  • Contains one of the following values: 1 or 2. If set to 1, the plan measures are archived through the archive plan option. If set to 2, the plan measures aren't archived.
  • Contains one of the following values: 1 or 2. If set to 1, the plan will use substitute items when required. If set to 2, substitute items won't be used. The default value is 2.
  • Exception set that the plan references. The exception set determines the types of exceptions the plan creates.
  • Contains one of the following values: 1 or 2. If set to 1, the plan explodes the forecast of a model to its option level. If set to 2, the plan doesn't explode the forecast of a model to its option level. The default value is 2.
  • Plan output is available to the analytic module.
  • Indicates the type of time bucket for the initial inventory planning buckets. The valid values depend on the inventory planning calendar type. For a calendar type of 5 (manufacturing), accepted values are listed in the lookup type ORA_MSC_TIME_LEVELS_MFG. For a calendar type of 1 (Gregorian), accepted values are found in ORA_MSC_TIME_LEVELS_GREGORIAN. For a calendar type of 3 (fiscal), refer to ORA_MSC_TIME_LEVELS_FISCAL for the accepted values.
  • Read Only: true
    Maximum Length: 40
    Meaning associated with the FirstPlanningBucketCode attribute.
  • Number of inventory planning buckets to create for the first set of inventory planning time buckets. For example, if the FirstPlanningBucketName attribute is Day, this defines the number of daily inventory planning buckets that are created when the plan is run.
  • Forecast accuracy measure used by the plan to calculate safety stock. Contains one of the following values: 1 - Mean Absolute Deviation, 2 - Mean Absolute Percentage Error, or 3 - Intermittent. A list of accepted values is defined in the lookup type ORA_MSC_FORECAST_ERROR_TYPE.
  • Maximum Length: 255
    Calendar used for spreading the global forecast. This field is enabled when the plan option Forecast Spreading is set to Spread forecast evenly.
  • Maximum Length: 255
    Assignment set used to distribute the global forecast to the respective ship-from organizations.
  • Contains one of the following values: 1 - The most recent plan run finished successfully, 0 - The most recent plan run failed, or Empty - The application hasn't run the plan.
  • Number of days used by planning to calculate the average daily demand.
  • Contains one of the following values: 1 or 2. If set to 1, the plan is enabled for production monitoring alerts. If set to 2, the plan doesn't provide production monitoring alerts.
  • Read Only: true
    Maximum Length: 250
    List of parameters used to override the inventory engine's default behavior.
  • Read Only: true
    Contains one of the following values: 1 - all items, 2 - demand-planned items and sales orders, 5 - demand-planned items and work-in-process components, 6 - demand-planned items, or 7 - demand-planned items, work-in-process components, and sales orders. A list of accepted values is defined in the lookup type ORA_MSC_PLANNED_ITEMS.
  • Read Only: true
    Maximum Length: 4000
    Name associated with the inventory planning calendar.
  • Item list price used by the inventory plan.
  • Items
    Title: Items
    The Items resource manages the items within a simulation set used as input for the Oracle Supply Chain Planning Cloud solution.
  • Read Only: true
    Maximum Length: 64
    User who most recently updated the plan.
  • Read Only: true
    Date when the user most recently updated the plan.
  • Links
  • Maximum percent difference allowed between the safety stock quantity in one interval and the next.
  • Measure catalog used by the application to archive the plan.
  • Minimum percent difference allowed between the safety stock quantity in one interval and the next.
  • Collection of organization names and descriptions included in the scope of the plan. Each organization name is separated from its description by a comma, and each pair is enclosed in parentheses.
  • Number of time buckets (e.g., three weeks or two months). This attribute determines the time period before the plan start date to use as a threshold for copying past-due forecasts into the plan.
  • Plan and Segment Exceptions
    Title: Plan and Segment Exceptions
    Exception details for the inventory plan. This can be used to capture any exceptions related to the inventory plan.
  • Date when the planning process was completed.
  • Dimension catalog used by the inventory plan.
  • This attribute isn't used.
  • Date when the plan starts planning demand and inventory.
  • Value that uniquely identifies the plan.
  • List of level values in the item hierarchy to include in the scope of the plan. Each value is separated by a comma.
  • Measure catalog used by the inventory plan.
  • Title: Name
    Maximum Length: 30
    Name of the plan.
  • Type of planning buckets: Week, Period, or Month.
  • List of level values in the organization hierarchy included in the scope of the plan. Each value is separated by a comma.
  • Maximum Length: 64
    Owner of the plan.
  • Date that represents the start date of the planning process.
  • Status of the plan run that was most recently completed. Contains one of the following values: 0 - completed, 1 - processing, 2 - error, or 3 - warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
  • Type of plan. Contains one of the following values: 1 - demand plan, 2 - supply plan, or 3 - demand and supply plan. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_TYPE.
  • List of price lists to consider in the plan. Each value is separated by a comma.
  • Default Value: 1
    If the plan is private, it can only be used by the owner.
  • Run Plan
    Title: Run Plan
    Details about the inventory plan that can be used to run inventory plans.
  • Demand plan that includes the forecast and measures of forecast error used to determine safety stock.
  • Percentage of service level used by the plan to calculate safety stock.
  • Value that uniquely identifies the second planning bucket.
  • Read Only: true
    Maximum Length: 40
    Name of the second planning bucket.
  • Number that uniquely identifies the second planning bucket.
  • Abbreviated value that uniquely identifies the inventory plan.
  • Simulation set used by planning when the plan runs. A simulation set consists of adjustments made to inputs that affect the plan. You can use them to test different business scenarios, such as increasing available resource capacity.
  • This attribute isn't used.
  • Number of days that uniquely specifies the safety stock change interval. The change interval is used to minimize fluctuations in safety stock, as daily changes can be cumbersome to manage.
Nested Schema : Component Items
Type: array
Title: Component Items
Item structure components that are part of a supply plan.
Show Source
Nested Schema : Items
Type: array
Title: Items
The Items resource manages the items within a simulation set used as input for the Oracle Supply Chain Planning Cloud solution.
Show Source
Nested Schema : Plan and Segment Exceptions
Type: array
Title: Plan and Segment Exceptions
Exception details for the inventory plan. This can be used to capture any exceptions related to the inventory plan.
Show Source
Nested Schema : Run Plan
Type: array
Title: Run Plan
Details about the inventory plan that can be used to run inventory plans.
Show Source
Nested Schema : inventoryPlans-ComponentItems-item-response
Type: object
Show Source
Nested Schema : inventoryPlans-Items-item-response
Type: object
Show Source
  • Maximum Length: 40
    Code assigned to the item for classification purposes. Items are divided into categories called ABC classes, such as A, B, and C, according to a criterion such as revenue generation, turnover, or value.
  • Number of days before which the planning process won't reschedule the sales order. For example, if the due date on the original sales order is June 10, and if the Acceptable Early Days is 3, and if the new due date is less than or equal to June 13 then the planning process won't suggest rescheduling.
  • Read Only: true
    Value that indicates whether common supplies are used in case the project inventory isn't sufficient during the demand and supply netting process. Valid values are: 1 or 2. If 1, then common supplies are used. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Indicates whether to allow use of common supplies when the project inventory isn't sufficient during the demand and supply netting process. Valid values are Yes and No.
  • Read Only: true
    Maximum Length: 4000
    Secondary unit of measure for the item, represented as an alternate unit of measure in planning.
  • Percent of unit cost that represents the internal cost to stock one unit for one year.
  • Read Only: true
    Maximum Length: 1
    Number of days required to assemble an item independent of the sales order quantity, such as setup time or tear down time.
  • Read Only: true
    Maximum Length: 4000
    Indicates whether to include additional components in the item structure for assemble-to-order and pick-to-order items when performing available-to-promise checking. Valid values are Yes and No.
  • Read Only: true
    Maximum Length: 20
    Value that identifies planning attribute number 1 for the descriptive flexfield.
  • Read Only: true
    Maximum Length: 20
    Value that identifies planning attribute number 2 for the descriptive flexfield.
  • Read Only: true
    Maximum Length: 20
    Value that identifies planning attribute number 3 for the descriptive flexfield.
  • Read Only: true
    Maximum Length: 20
    Value that identifies planning attribute number 4 for the descriptive flexfield.
  • Read Only: true
    Maximum Length: 20
    Value that identifies planning attribute number 5 for the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 1 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 10 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 11 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 12 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 13 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 14 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 15 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 16 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 17 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 18 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 19 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 2 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 20 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 3 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 4 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 5 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 6 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 7 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 8 of type character for the demand in a backlog management plan.
  • Read Only: true
    Maximum Length: 150
    Value for the descriptive flexfield attribute number 9 of type character for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 1 of type date for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 2 of type date for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 3 of type date for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 4 of type date for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 5 of type date for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 1 of type number for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 2 of type number for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 3 of type number for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 4 of type number for the demand in a backlog management plan.
  • Read Only: true
    Value for the descriptive flexfield attribute number 5 of type number for the demand in a backlog management plan.
  • Read Only: true
    Value that indicates whether the item is a configured item or not. Valid values are: 1 or 2. If 1, then item is a configured item. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the item is configured or not. Valid values are: Yes or No. If Yes, then the item is configured. If No, then the item isn't configured.
  • Average time, expressed in days, between intervals.
  • Number of days specified by the user to override the average interarrival time, where the average interarrival time is the average time, expressed in days, between intervals.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the item is enabled for back-to-back ordering or not. Valid values are: Yes or No. If Yes, then the item is enabled for back-to-back ordering. If No, then the item isn't enabled for back-to-back ordering.
  • Read Only: true
    Value that indicates whether the item is enabled for back-to-back ordering or not. Valid values are: 1 or 2. If 1, then item is enabled for back-to-back ordering. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value that uniquely identifies the model to use when creating an assemble-to-order configuration.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether work orders can be created or not. Valid values are Yes or No. If Yes, then work orders can be created. If No, then work orders can't be created.
  • Read Only: true
    Contains one of the following values: 1 or 2. If 1, then work orders can be created. If No, then work orders can't be created.
  • Maximum Length: 240
    Name of the buyer associated with the item.
  • Value that indicates whether to enable available-to-promise functionality in Oracle Fusion Cloud Global Order Promising when planning for this item. Valid values are 1 and 2. If 1, then available-to-promise functionality is enabled. If 2, then available-to-promise functionality isn't enabled.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether to enable the available-to-promise rule in Oracle Fusion Cloud Global Order Promising. Valid values are Yes or No. If Yes, then the available-to-promise rule is enabled. If No, then the available-to-promise rule isn't enabled.
  • Read Only: true
    Value that uniquely identifies the catalog.
  • Title: Category
    Read Only: true
    Maximum Length: 4000
    Category of the item in the exception. the category is derived from the default product hierarchy or any product hierarchy of the item associated in the plan's dimension catalog.
  • Read Only: true
    Maximum Length: 4000
    Description associated with a product category.
  • Read Only: true
    Value that uniquely identifies an item category.
  • Maximum Length: 1
    Value that indicates whether to include this component item when calculating clear-to-build for an assembly item. Valid values are 1 or 2. If 1, then this component item is included. If 2, then it's not.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether to include this component item when calculating clear to build for an assembly item. Valid values are Yes or No. If Yes, then this component item is included. If No, then this component item isn't included.
  • Read Only: true
    Maximum Length: 64
    User who created the item.
  • Value that indicates whether planning creates planned orders for this item. Valid values are 1 or 2. If 1, then planned orders are created. If 2, then planned orders aren't created.
  • Date after which supplies can be created. This attribute is editable only when the CreateSupply attribute is set to 1.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether planning creates planned orders for this item. Valid values are Yes or No. If Yes, then planned orders are created. If No, then planned orders aren't created.
  • Read Only: true
    Date and time when the user created the supplier item.
  • Value that indicates whether the item is a critical component or not. Valid values are 1 or 2. If 1, then the item is a critical component. If 2, then the item isn't a critical component.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the item is a critical component or not. Valid values are Yes or No. If Yes, then the item is a critical component. If No, then the item isn't a critical component.
  • Read Only: true
    Number of days required to manufacture the item, including the adjusted, cumulative, and total lead time for the component that requires the longest time to assemble.
  • Read Only: true
    Maximum Length: 30
    Value that indicates the currency associated with the item's price and cost.
  • Read Only: true
    Maximum Length: 255
    Contains one of the following: yes or null. If yes, then the user has data security edit privileges. If null, then the user doesn't have data security edit privileges.
  • Number of days of cover for the item. Days of Cover is multiplied by the average demand to calculate the safety stock level.
  • Period of time, specified as a number of days, used to determine the average gross demand when using the Days of Cover method to calculate safety stock.
  • Abbreviation that identifies the point in time inside which the planning process ignores forecast demand and considers only sales order demand when calculating gross requirements. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Read Only: true
    Date before which forecast demand is ignored.
  • Time horizon, expressed in number of days, within which forecast demand is ignored.
  • Read Only: true
    Maximum Length: 4000
    Value that identifies the point in time inside which the planning process ignores forecast demand and considers only sales order demand when calculating gross requirements. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Maximum Length: 240
    Description of the item.
  • Average discount for the item.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether purchasing lead times are imposed as a hard constraint during constraint-based planning. Valid values are: 1 or 2. If 1, then purchasing lead times are enforced. If 2, then not.
  • Value that indicates whether purchasing lead times are imposed as a hard constraint during constraint-based planning. Valid values are: Yes or No. If Yes, then purchasing lead times are enforced. If No, then purchasing lead times aren't enforced.
  • Time horizon, expressed in number of days, after which inventory is considered excess.
  • Number of days to use to modify the size and timing of each planned order quantity.
  • Read Only: true
    Number of days to use to modify the size and timing of each planned order quantity.
  • Number of days required to assemble an item independent of the sales order quantity, such as setup time or tear down time.
  • Multiplier to use, in units for each day, for each fixed lot quantity or each repetitive rate.
  • Quantity to use to modify the size of each planned order quantity or each repetitive daily rate.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates how the forecast is exploded and consumed. This attribute isn't currently used.
  • Maximum Length: 30
    Value that indicates how the quality of a forecast is measured. A list of accepted values is defined in the lookup type MSC_FORECAST_ERROR_TYPES.
  • Read Only: true
    Maximum Length: 4000
    Meaning associated with the ForecastErrorType Code attribute.
  • Read Only: true
    Maximum Length: 4000
    Name of the forecast used for safety stock calculation.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 1 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 10 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 11 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 12 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 13 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 14 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 15 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 16 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 17 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 18 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 19 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 2 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 20 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 3 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 4 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 5 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 6 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 7 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 8 of type character in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 150
    Value that identifies planning global attribute number 9 of type character in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 1 of type date in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 2 of type date in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 3 of type date in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 4 of type date in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 5 of type date in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 1 in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 2 in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 3 in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 4 in the descriptive flexfield.
  • Read Only: true
    Value that identifies planning global attribute number 5 in the descriptive flexfield.
  • Read Only: true
    Maximum Length: 25
    Value that identifies the type of pegging considered by the planning engine during the supply and demand netting process. A list of accepted values is defined in the lookup type ORA_MSC_HARD_PEGGING_LEVEL.
  • Read Only: true
    Maximum Length: 4000
    Meaning associated with the HardPeggingLevel attribute.
  • Value that indicates whether the demand for the item has an irregular frequency or not. Valid values are: 1 or 2. If 1, then demand for the item has an irregular frequency . If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Indicates whether the demand has an irregular frequency. Valid values are Yes and No.
  • Value specified by the user to override the Intermittent Demand, where Intermittent Demand indicates whether the demand has an irregular frequency or not. Valid values are: 1 or 2. If 1, then demand for the item has an irregular frequency . If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value specified by the user to determine whether to override intermittent demand, which indicates whether the demand has an irregular frequency or not. Valid values are Yes and No.
  • Value that uniquely identifies the item.
  • Read Only: true
    Maximum Length: 4000
    Unit of measure associated with an item's cost.
  • Maximum Length: 300
    Name of the item.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates the type of bill of material. A list of accepted values is defined in the lookup type ORA_MSC_BOM_ITEM_TYPE.
  • Read Only: true
    Date and time when the user most recently updated the item.
  • Read Only: true
    Maximum Length: 64
    User most recently updated the item.
  • Read Only: true
    Multiplier to use, in units for each day, for each fixed lot quantity or each repetitive rate.
  • Number of months or periods in which the constrained supply plan offsets the lead time, after converting the number of months or periods to days. Month buckets are used if the supply planning calendar is Gregorian. Value can be null or greater than or equal to zero. This attribute doesn't have a default value.
  • Number of weeks in which the constrained supply plan offsets the lead time, after converting the number of weeks to days. Value can be null or greater than or equal to zero. This attribute doesn't have a default value.
  • Maximum Length: 120
    Name of lifecycle phase of the item.
  • Links
  • Read Only: true
    Maximum Length: 4000
    Meaning associated with the LotControlCode attribute. A list of accepted values is defined in the lookup type ORA_MSC_LOT_CONTROL_CODE.
  • Read Only: true
    Value that identifies whether the item is lot controlled. Valid values are 1 and 2. If 1, then lot control isn't established for the item. If 2, then lot control is used to track inventory balances by the lot number. A list of accepted values is defined in the lookup type ORA_MSC_LOT_CONTROL_CODE.
  • Read Only: true
    Maximum Length: 4000
    Meaning associated with the LotsExpiration attribute. A list of accepted values is defined in the lookup type ORA_MSC_LOT_EXPIRATION_CONTROL.
  • Read Only: true
    Value that identifies how lot expiration dates are calculated. Valid values are 1 and 2. If 1, then lots don't expire. If 2, then lot expiration is based on the number of shelf life days for the item. A list of accepted values is defined in the lookup type ORA_MSC_LOT_EXPIRATION_CONTROL.
  • Read Only: true
    Value of the mean absolute deviation for the item.
  • Value that's the user override of the mean absolute deviation, where mean absolute deviation is a statistical formula used to measure the quantity deviation between actual and forecasted demand.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the item is manufactured or purchased. Valid values are Make or Buy. If Make, then the item is manufactured. If Buy, then the item is purchased. A list of accepted values is defined in the lookup type ORA_MSC_PLANNING_MAKE_BUY.
  • Read Only: true
    Value of the mean absolute percentage error for the item.
  • Value that's the user override of the mean absolute percentage error, where mean absolute percentage error is a statistical formula used to measure the percentage deviation between actual and forecasted demand.
  • Maximum order quantity of the item.
  • Minimum order quantity of the item.
  • Read Only: true
    Selling price of an item after applying an average discount to the item's list price.
  • Most recent value that uniquely identifies the plan.
  • Read Only: true
    Indicates whether an associated note exists. Valid values are 0 or 1. If 0, then there are no associated notes. If 1, then there's at least one associated note.
  • Read Only: true
    The number of days after the demand date that the demand can be satisfied. This attribute doesn't have a default value.
  • Date when the item is obsolete.
  • Fixed costs that are associated with placing a sales order for the item.
  • Value that indicates whether order modifiers are applied to start quantity or not. Valid values are: 1 or 2. If 1, then order modifiers are applied to start quantity. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value that determines whether the order modifier for the item should be applied to the start quantity of the supply for the item. Valid values are Yes or No.
  • Maximum Length: 49
    Abbreviation that identifies the organization associated with the item.
  • Value that uniquely identifies the organization.
  • Read Only: true
    Value that indicates whether the item can be picked from finished goods inventory. Valid values are: 1 or 2. If 1, then the item can be picked from finished goods inventory. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the item can be picked from the finished goods inventory. Valid values are: Yes or No. If Yes, then the item can be picked from the finished goods inventory. If No, then the item can't be picked from the finished goods inventory.
  • Read Only: true
    Maximum Length: 4000
    Type of safety stock planning used to calculate safety stock for the item and organization combination. A list of accepted values is defined in the lookup type ORA_MSC_PLANNED_SS_TYPE.
  • Read Only: true
    Abbreviation that identifies the type of safety stock planning used to calculate safety stock for the item and organization combination. A list of accepted values is defined in the lookup type ORA_MSC_PLANNED_SS_TYPE.
  • Maximum Length: 10
    Abbreviation that identifies the planner responsible for the item.
  • Read Only: true
    Maximum Length: 4000
    Description of the planner responsible for the item.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates the type of planning used for the item. A list of accepted values is defined in the lookup type ORA_MSC_PLANNING_CODE.
  • Abbreviation that indicates the type of planning used for the item. A list of accepted values is defined in the lookup type ORA_MSC_PLANNING_CODE.
  • Abbreviation that identifies the point in time inside which the planning process won't schedule a supply order to be due. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Read Only: true
    Date before which orders aren't rescheduled.
  • Time horizon, in number of days, in which supply orders aren't scheduled to be due.
  • Read Only: true
    Maximum Length: 4000
    Value that identifies the point in time inside which the planning process won't schedule a supply order to be due. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Number of days required to make an item available in inventory once the supply is complete.
  • Number of days which must be added to purchasing or manufacturing lead time to place an order.
  • Number of days required to procure or manufacture an item.
  • Abbreviation that identifies the point in time inside which planned orders with certain criteria are automatically released as work orders or purchase orders. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Read Only: true
    Date before which orders are automatically released as work orders or purchase requisitions.
  • Time horizon, in number of days, in which orders are automatically released as work orders or purchase requisitions.
  • Read Only: true
    Maximum Length: 4000
    Value that identifies the point in time inside which planned orders with certain criteria are automatically released as work orders or purchase orders. A list of accepted values is defined in the lookup type ORA_MSC_TIME_FENCE_TYPES.
  • Value that indicates whether planned order quantity is rounded to a whole number or not. Valid values are: 1 or 2. If 1, then planned order quantity is rounded. If 2, then not.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates whether the planned order quantity is rounded to a whole number or not. Valid values are: Yes or No. If Yes, then the planned order quantity is rounded. If No, then the planned order quantity isn't rounded.
  • Read Only: true
    Maximum Length: 255
    Text that identifies whether the row is new or modified. Valid values are yes or null. If yes, then the row is new or modified. If null, then the row isn't new or modified.
  • Value that identifies the method that planning uses to calculate safety stock levels for the item. A list of accepted values is defined in the lookup type ORA_MSC_SS_PLANNING_METHD.
  • Read Only: true
    Maximum Length: 4000
    Demand plan that contains the forecast and forecast error measures that the plan uses to calculate safety stock.
  • Maximum Length: 4000
    Meaning associated with the SafetyStockCode attribute.
  • Desired level of safety stock of an item.
  • Numeric value provided by the user to override the standard safety stock quantity of an item.
  • Read Only: true
    Value that uniquely identifies segment of items in inventory plan.
  • Read Only: true
    Description of segment associated with exception.
  • Read Only: true
    Value that uniquely identifies segment of items in inventory plan.
  • Selling price of the item.
  • Desired level of customer service, expressed as a percentage, in satisfying product demand. This represents the probability that an order can be filled from available inventory.
  • Average amount of material you expect to lose when manufacturing or storing the item.
  • Standard cost of an item.
  • Read Only: true
    Maximum Length: 4000
    Value that indicates the supply type for components. A list of accepted values is defined in the lookup type ORA_MSC_WIP_SUP_TYPE.
  • Read Only: true
    Volume of one item.
  • Read Only: true
    Weight of one item.
  • Read Only: true
    Maximum Length: 4000
    Planning unit of measure of the item.
  • Read Only: true
    Maximum Length: 3
    Abbreviation that identifies the unit of measure associated with the order quantity.
  • Read Only: true
    Date when the current on-hand quantity for an item is exhausted based on projected gross requirements.
  • Time to produce one unit of an assembly.
  • Read Only: true
    Maximum Length: 4000
    Unit of measure to use for the item volume.
  • Read Only: true
    Maximum Length: 4000
    Unit of measure to use for the item weight.
Nested Schema : inventoryPlans-PlanAndSegmentExceptions-item-response
Type: object
Show Source
Nested Schema : inventoryPlans-Runs-item-response
Type: object
Show Source
  • List of entities to be refreshed. Each value is separated by a comma. Valid values are: 3 - Forecasts, 4 - Sales orders, and 6 - Supplies. There is no default value. This attribute is ignored unless Mode is set to 2.
  • Contains one of the following values: true or false. If true, the plan is archived before the next plan run. If false, the plan isn't archived. The default value is false. Note that you can archive a plan only if it's enabled for archiving. Use the Enable for Archiving attribute in one of the work areas for supply chain planning to enable it.
  • Date and time when the plan run is completed.
  • Value that uniquely identifies the process.
  • Maximum Length: 64
    Login used by the user when launching the process.
  • Contains one of the following values: true or false. If true, the plan is run regardless of the current plan status. If false, the plan is only run if it's ready to run. The default value is false.
  • Value that uniquely identifies the scheduled process.
  • Links
  • Text of any error messages that occurred when running the scheduled process.
  • Specifies whether data is to be refreshed. Contains one of the following values: 1 - all data is refreshed, 2 - only selected entities are refreshed, or 3 - data isn't refreshed.
  • Value that uniquely identifies the inventory plan.
  • Contains one of the following values: true or false. If true, then the safety stock is recalculated when running a plan. If false, then the safety stock isn't recalculated. This value is applicable only when the safety stock planning method plan option isn't 1: Don't plan safety stock or 4: User-specified values for all items.
  • This attribute isn't currently used. Save the plan to database for future use such as plan simulation.
  • Date and time when the scheduled process is set to start.
  • Status of the plan run. Contains one of the following values: 0 - completed, 1 - processing, 2 - error, or 3 - warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
  • Notes provided by the user when submitting the plan from the Run Plan page.
Back to Top